<?php
/*
 * Invoice represents an invoice to be mailed or viewed online.
 *
 */

class Invoice {
    // Passed in the constructor
    var $clientid;

    // These are calculated or retrieved from the database
    var $id;
	var $now;
    var $duedate;
    var $currentdate;
	var $nextdate;
    var $client;
    var $packages;
	var $invoices;
	var $note = "";
	var $priorBalance = 0;
	var $currentBalance = 0;
	var $invoiceTotal = 0;
	var $numUnbilledPackages = 0;
	var $db_link;

	function Invoice( $clientid, $db_link ){
		$this->db_link = $db_link;
		$this->clientid = $clientid;
        $this->setDates();
		$this->setId();
        $this->setClient();
		$this->setPackages();
		$this->setInvoices();
		$this->setNote();
		$this->setTotals();
    }

    /**
     * Returns the invoice number
	 */
	function getInvoiceNumber() {
		return $this->id;
	}

    /**
     * Calculates and stores the due date for this invoice.
     */
    function setDates() {
		$this->now  = time();
		$then = getdate();
		$this->currentdate = date("m/d/y");
		$this->nextdate = mktime(0,0,0, $then[mon], $then[mday]+16, $then[year]);
		$this->duedate = date("m/d/y", $this->nextdate);
    }

    /** 
     * Calculates and stores the invoice id.  
     * This isn't persisted to the databae until the invoice is saved().
	 */
    function setId() {
		$query = "select max(invid) from INVOICES";
		$result = mysql_query($query, $this->db_link);
		$row = mysql_fetch_array($result);
		$this->id = $row[0] + 1 ;
		if( $this->id == 0 ){
			$this->id = 1;
		}
    }

	/**
	 * Gets and saves client information from the database.
     *
     */
	function setClient() {
		$query = "select * from CLIENT where clientid='" .
				 $this->clientid . "'";
		$result = mysql_query($query, $this->db_link);
		$this->client = mysql_fetch_array($result);

	}

	/**
	 * Gets and saves the packages that are billable for this invoice.
     */
	function setPackages() {
		$query = "select * from PACKAGES where " .
				"clientid='" . $this->clientid . "' and " .
				"start<'" . $this->now . "' and " .
				"balance <> 0 and active = 1 order by start";

		$this->packages = array();
		$result = mysql_query($query, $this->db_link);
	    while( $package = mysql_fetch_array($result) ){
			array_push( $this->packages, $package );
		}	
		
	}

    /**
	 * Gets and saves the past invoices that are still due.
	 * Invoice ids are stored in the array $this->invoices.
	 */
	function setInvoices() {
		$query = "select invid from INVOICES where " .
				"clientid='" . $this->clientid . "' and " .
				"due<'" . $this->now . "' and paid='0'";

		$this->invoices = array();
		$result = mysql_query($query, $this->db_link);
		while( $row = mysql_fetch_row($result) ){
			array_push( $this->invoices, $row[0] );
		}	
	}

	/**
	 * Gets and stores any notes for this invoice.
     * The note is stored in $this->note.
	 */
	function setNote() {
		$query = "select invnote from NOTE";
		$result = mysql_query($query, $this->db_link);
		$row = mysql_fetch_row($result);
		$this->note = $row[0];
    }


    /**
     * Calculates and stores the totals.
	 * setPackages must have been called for this to work.
	 */
	function setTotals(){
		$x = 0;
		foreach( $this->packages as $package ){
			if( !$package['billed'] ){
				$this->numUnbilledPackages++;
				if( $packs['period'] != 0 ){
					$this->priorBalance +=
						$package['balance'] - $package['cost'];
					$this->currentBalance += $package['cost'];
				}
				else {
					$this->currentBalance += $package['balance'];
				}
			}
			else {
				$this->priorBalance += $package['balance'];
			}
		}
		$this->invoiceTotal = $this->priorBalance + $this->currentBalance;
	}

	/**
	 * Marks a pakcage as billed.
	 */
	function markPackageBilled( $package ){
		$query = "update PACKAGES set billed=1 where packid='$package[packid]'";
		mysql_query($query, $db_link);
	}

	/**'
	 * Sets the text of the invoice
	 */
	function setText( $text ){
		$this->text = $text;
	}

	/**
	 * Saves the invoice into the database.
	 * Returns true if the invoice was saved, false otherwise.
     */
	function saveInvoice() {
		if( $this->invoiceTotal == 0 ){
			$paid = 1;
		}
		else {
			$paid = 0;
		}
		$query="INSERT INTO INVOICES (invnum,date,due,amount,clientid,sent,body,overdue,paid) VALUES(" .
			$this->id . "," .
    		$this->now . "," . 
    		$this->nextdate . "," . 
    		$this->invoiceTotal . "," . 
    		$this->clientid . ",1,'" . 
			$this->text . "'," . 
			$this->nextdate . ",$paid)";

		//echo "<!-- $query -->";
		return mysql_query($query, $this->db_link);	
	}
}
?>
