# MySQL dump 8.16
#
# Host: localhost    Database: test
#--------------------------------------------------------
# Server version	3.23.44

#
# Table structure for table 'CLIENT'
#

CREATE TABLE `CLIENT` (
  `clientid` int(11) NOT NULL auto_increment,
  `first` varchar(15) NOT NULL default '',
  `last` varchar(20) NOT NULL default '',
  `company` varchar(30) NOT NULL default '',
  `address` varchar(30) NOT NULL default '',
  `city` varchar(25) NOT NULL default '',
  `state` varchar(20) NOT NULL default '',
  `zip` varchar(255) NOT NULL default '',
  `phone` varchar(255) NOT NULL default '',
  `fax` varchar(255) NOT NULL default '',
  `email` varchar(30) NOT NULL default '',
  `comments` varchar(255) default NULL,
  `country` varchar(30) default NULL,
  `balance` double(7,2) NOT NULL default '0.00',
  `datepay` int(11) NOT NULL default '1',
  `password` varchar(128) NOT NULL default '',
  `active` int(11) NOT NULL default '1',
  `permnote` varchar(255) default NULL,
  `tempnote` varchar(255) default NULL,
  PRIMARY KEY  (`clientid`,`email`)
) TYPE=MyISAM;

#
# Dumping data for table 'CLIENT'
#


#
# Table structure for table 'EVENTS'
#

CREATE TABLE `EVENTS` (
  `eventid` int(11) NOT NULL auto_increment,
  `action` varchar(255) NOT NULL default '',
  `clientid` int(11) NOT NULL default '0',
  `user` varchar(30) NOT NULL default '',
  `time` int(10) unsigned NOT NULL default '0',
  `amount` double(6,2) default NULL,
  `balance` double(6,2) default NULL,
  PRIMARY KEY  (`eventid`)
) TYPE=MyISAM;

#
# Dumping data for table 'EVENTS'
#


#
# Table structure for table 'INTERESTS'
#

CREATE TABLE `INTERESTS` (
  `first` varchar(15) NOT NULL default '',
  `last` varchar(20) NOT NULL default '',
  `company` varchar(30) NOT NULL default '',
  `address` varchar(30) NOT NULL default '',
  `city` varchar(25) NOT NULL default '',
  `state` varchar(20) NOT NULL default '',
  `zip` varchar(255) NOT NULL default '',
  `phone` varchar(255) NOT NULL default '',
  `fax` varchar(255) NOT NULL default '',
  `email` varchar(30) NOT NULL default '',
  `comments` varchar(255) default NULL,
  `country` varchar(30) default NULL,
  `notes` text,
  `interestid` int(10) NOT NULL auto_increment,
  PRIMARY KEY  (`interestid`)
) TYPE=MyISAM;

#
# Dumping data for table 'INTERESTS'
#


#
# Table structure for table 'INVOICES'
#

CREATE TABLE `INVOICES` (
  `invid` int(11) NOT NULL auto_increment,
  `invnum` int(11) NOT NULL default '0',
  `date` int(12) unsigned NOT NULL default '0',
  `due` int(12) unsigned NOT NULL default '0',
  `amount` double(6,2) NOT NULL default '0.00',
  `clientid` int(11) NOT NULL default '0',
  `sent` int(11) NOT NULL default '0',
  `paid` int(11) NOT NULL default '0',
  `datepaid` int(12) unsigned NOT NULL default '0',
  `body` text,
  `overdue` int(11) NOT NULL default '0',
  PRIMARY KEY  (`invid`)
) TYPE=MyISAM;

#
# Dumping data for table 'INVOICES'
#


#
# Table structure for table 'NOTE'
#

CREATE TABLE `NOTE` (
  `invnote` varchar(255) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table 'NOTE'
#


#
# Table structure for table 'PACKAGES'
#

CREATE TABLE `PACKAGES` (
  `packid` int(11) NOT NULL auto_increment,
  `clientid` int(11) NOT NULL default '0',
  `desserv` varchar(255) default NULL,
  `start` int(10) unsigned NOT NULL default '0',
  `price` double(6,2) NOT NULL default '0.00',
  `period` int(11) default NULL,
  `discount` double(6,2) NOT NULL default '0.00',
  `cost` double(6,2) NOT NULL default '0.00',
  `servtype` varchar(7) NOT NULL default '',
  `servcode` int(11) NOT NULL default '0',
  `end` int(10) unsigned default '0',
  `lastrenew` int(10) unsigned default NULL,
  `renewdate` int(10) unsigned default '0',
  `balance` double(6,2) NOT NULL default '0.00',
  `parentpack` int(11) NOT NULL default '0',
  `comment` text NOT NULL,
  `username` varchar(12) NOT NULL default '',
  `password` varchar(128) default NULL,
  `servername` varchar(30) default NULL,
  `active` int(11) NOT NULL default '1',
  `billed` int(11) NOT NULL default '0',
  `prepay` int(1) NOT NULL default '0',
  PRIMARY KEY  (`packid`)
) TYPE=MyISAM;

#
# Dumping data for table 'PACKAGES'
#


#
# Table structure for table 'USERS'
#

CREATE TABLE `USERS` (
  `name` varchar(12) NOT NULL default '',
  `password` varchar(128) NOT NULL default '',
  `access` int(11) NOT NULL default '3',
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;

#
# Dumping data for table 'USERS'
#

INSERT INTO `USERS` VALUES ('admin','password',4);

