<?php

require_once("common.php");
require_once("htmlMimeMail.php");


/*
 * Sends an html formatted email.
 * @param to - Who the email is going to
 * @param bcc - An array of addresses to bcc to.
 * @param subject - The subject
 * @param text - Text content
 */
function mass_mail($from, $bcc, $subject, $text) {
	$mail = new htmlMimeMail();
	$mail->setText($text);
	$mail->setFrom($from);
	$mail->setBcc(implode(',', $bcc));
	$mail->setSubject($subject);

	$result = $mail->send(array($from), 'mail');
	if( !$result ){
		print("Errors: " . $mail->errors);
		return FALSE;
	}
	else {
		return TRUE;
	}
	
}

/*
 * Sends an html formatted email.
 * @param to - Who the email is going to
 * @param subject - The subject
 * @param html - The html conent
 * @param text - Text content, if any.
 *
 * @returns - TRUE if the mail is sent, FALSE otherwise.
 */
 function html_mail($from, $to, $subject, $html, $text='') {
	$mail = new htmlMimeMail();
	$mail->setHtml($html, $text);
	$mail->setFrom($from);
	$mail->setSubject($subject);
	$result = $mail->send(array($to), 'mail');

	if( !$result ){
		print("Errors: " . $mail->errors);
		return 0;
	}
	else {
		return 1;
	}
 }

?>
